---
title: Add user to admin level
description: >-
  Assigns the specified user to the given admin level, granting them the
  associated administrative permissions.
category: API Reference
lastModified: '2026-05-18'
url: >-
  https://developer.lastpass.com/business/docs/admin-levels/add-user-to-admin-level.md
---

# Add user to admin level

`POST /v1/admin-levels/{admin-level-id}/users`

**Operation ID**: `addUserToAdminLevel`

## Quick Start

```http
POST https://api.lastpass.com/business/v1/admin-levels/{admin-level-id}/users
Authorization: api-key <your-api-key>
Content-Type: application/json

{
  "userId": 0
}
```

Assigns the specified user to the given admin level, granting them the associated administrative permissions.

## Parameters

| Name | In | Type | Required | Description |
|------|-----|------|----------|-------------|
| `admin-level-id` | path | integer | Yes | The ID of the admin level. *(format: int64)* |

## Request Body

User to assign to the admin level

### Schema

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `userId` | integer | Yes | The ID of the user to assign. *(format: int64)* |

### Example

```json
{
  "userId": 0
}
```

## Responses

### 201

Created

#### Schema

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `id` | integer | No | Unique identifier of the user. *(format: int64)* |
| `name` | string | Yes | Full name of the user. *(nullable)* |
| `email` | string | Yes | Email address of the user. *(nullable)* |
| `adminLevelId` | integer | No | Unique identifier of the admin level assigned to the user. *(format: int64)* |

#### Example

```json
{
  "id": 0,
  "name": "string",
  "email": "string",
  "adminLevelId": 0
}
```

### 400

Bad Request

#### Schema

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `title` | string | No | Short, human-readable summary of the problem type. *(nullable)* |
| `status` | integer | No | HTTP status code. *(nullable)* |
| `detail` | string | No | Human-readable explanation specific to this occurrence of the problem. *(nullable)* |
| `instance` | string | No | URI reference identifying the specific occurrence of the problem. *(nullable)* |
| `errors` | array of ProblemDetailsError | No | List of individual field-level validation errors, if applicable. *(nullable)* |

#### Example

```json
{
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "errors": [
    {
      "detail": "string",
      "pointer": "string"
    }
  ]
}
```

### 401

Unauthorized

#### Schema

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `title` | string | No | Short, human-readable summary of the problem type. *(nullable)* |
| `status` | integer | No | HTTP status code. *(nullable)* |
| `detail` | string | No | Human-readable explanation specific to this occurrence of the problem. *(nullable)* |
| `instance` | string | No | URI reference identifying the specific occurrence of the problem. *(nullable)* |
| `errors` | array of ProblemDetailsError | No | List of individual field-level validation errors, if applicable. *(nullable)* |

#### Example

```json
{
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "errors": [
    {
      "detail": "string",
      "pointer": "string"
    }
  ]
}
```

### 402

Subscription Expired

#### Schema

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `title` | string | No | Short, human-readable summary of the problem type. *(nullable)* |
| `status` | integer | No | HTTP status code. *(nullable)* |
| `detail` | string | No | Human-readable explanation specific to this occurrence of the problem. *(nullable)* |
| `instance` | string | No | URI reference identifying the specific occurrence of the problem. *(nullable)* |
| `errors` | array of ProblemDetailsError | No | List of individual field-level validation errors, if applicable. *(nullable)* |

#### Example

```json
{
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "errors": [
    {
      "detail": "string",
      "pointer": "string"
    }
  ]
}
```

### 403

Forbidden

#### Schema

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `title` | string | No | Short, human-readable summary of the problem type. *(nullable)* |
| `status` | integer | No | HTTP status code. *(nullable)* |
| `detail` | string | No | Human-readable explanation specific to this occurrence of the problem. *(nullable)* |
| `instance` | string | No | URI reference identifying the specific occurrence of the problem. *(nullable)* |
| `errors` | array of ProblemDetailsError | No | List of individual field-level validation errors, if applicable. *(nullable)* |

#### Example

```json
{
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "errors": [
    {
      "detail": "string",
      "pointer": "string"
    }
  ]
}
```

### 404

Not Found

#### Schema

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `title` | string | No | Short, human-readable summary of the problem type. *(nullable)* |
| `status` | integer | No | HTTP status code. *(nullable)* |
| `detail` | string | No | Human-readable explanation specific to this occurrence of the problem. *(nullable)* |
| `instance` | string | No | URI reference identifying the specific occurrence of the problem. *(nullable)* |
| `errors` | array of ProblemDetailsError | No | List of individual field-level validation errors, if applicable. *(nullable)* |

#### Example

```json
{
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "errors": [
    {
      "detail": "string",
      "pointer": "string"
    }
  ]
}
```

### 415

Unsupported Media Type

#### Schema

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `title` | string | No | Short, human-readable summary of the problem type. *(nullable)* |
| `status` | integer | No | HTTP status code. *(nullable)* |
| `detail` | string | No | Human-readable explanation specific to this occurrence of the problem. *(nullable)* |
| `instance` | string | No | URI reference identifying the specific occurrence of the problem. *(nullable)* |
| `errors` | array of ProblemDetailsError | No | List of individual field-level validation errors, if applicable. *(nullable)* |

#### Example

```json
{
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "errors": [
    {
      "detail": "string",
      "pointer": "string"
    }
  ]
}
```

### 422

Unprocessable Content

#### Schema

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `title` | string | No | Short, human-readable summary of the problem type. *(nullable)* |
| `status` | integer | No | HTTP status code. *(nullable)* |
| `detail` | string | No | Human-readable explanation specific to this occurrence of the problem. *(nullable)* |
| `instance` | string | No | URI reference identifying the specific occurrence of the problem. *(nullable)* |
| `errors` | array of ProblemDetailsError | No | List of individual field-level validation errors, if applicable. *(nullable)* |

#### Example

```json
{
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "errors": [
    {
      "detail": "string",
      "pointer": "string"
    }
  ]
}
```

### 429

Too Many Requests

#### Schema

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `title` | string | No | Short, human-readable summary of the problem type. *(nullable)* |
| `status` | integer | No | HTTP status code. *(nullable)* |
| `detail` | string | No | Human-readable explanation specific to this occurrence of the problem. *(nullable)* |
| `instance` | string | No | URI reference identifying the specific occurrence of the problem. *(nullable)* |
| `errors` | array of ProblemDetailsError | No | List of individual field-level validation errors, if applicable. *(nullable)* |

#### Example

```json
{
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "errors": [
    {
      "detail": "string",
      "pointer": "string"
    }
  ]
}
```

### 500

Internal Server Error

#### Schema

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `title` | string | No | Short, human-readable summary of the problem type. *(nullable)* |
| `status` | integer | No | HTTP status code. *(nullable)* |
| `detail` | string | No | Human-readable explanation specific to this occurrence of the problem. *(nullable)* |
| `instance` | string | No | URI reference identifying the specific occurrence of the problem. *(nullable)* |
| `errors` | array of ProblemDetailsError | No | List of individual field-level validation errors, if applicable. *(nullable)* |

#### Example

```json
{
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "errors": [
    {
      "detail": "string",
      "pointer": "string"
    }
  ]
}
```

